import * as React from 'react'
import type { SVGProps } from 'react'
function SvgMsKlimadashboardIconsMBusAbgas(props: SVGProps<SVGSVGElement>) {
  return (
    <svg
      data-name="Ebene 1"
      id="MS_Klimadashboard_Icons_m_bus_abgas_svg__Ebene_1"
      viewBox="0 0 320.56 137.42"
      xmlns="http://www.w3.org/2000/svg"
      {...props}
    >
      <defs>
        <style>
          {'.MS_Klimadashboard_Icons_m_bus_abgas_svg__cls-1{fill:#005b79}'}
        </style>
      </defs>
      <path
        className="MS_Klimadashboard_Icons_m_bus_abgas_svg__cls-1"
        d="M269.75 31.13c-2.12 0-4.26-.54-6.2-1.63-3.15 2.36-7.7 1.9-10.43-1.15a7.933 7.933 0 0 1-2.03-5.61c.09-2.08.98-3.98 2.51-5.35a7.394 7.394 0 0 1 3.66-1.8c.55-2.48 1.86-4.73 3.75-6.43 1.66-1.48 3.66-2.47 5.83-2.88.49-.94 1.15-1.78 1.95-2.5.7-.63 1.48-1.13 2.33-1.51 3.66-1.63 7.95-.67 10.68 2.37.77.86 1.37 1.84 1.79 2.9 1.3 3.34.6 7.01-1.76 9.55.59 4.12-.84 8.17-3.92 10.92-2.29 2.06-5.21 3.1-8.17 3.1Zm-6.3-4.41c.24 0 .47.06.67.2 3.81 2.53 8.8 2.22 12.12-.75 2.58-2.31 3.71-5.77 3.02-9.25-.08-.43.06-.87.38-1.16 1.99-1.84 2.63-4.7 1.61-7.3-.3-.78-.74-1.5-1.32-2.14-2.01-2.24-5.14-2.94-7.81-1.76-.61.27-1.18.64-1.68 1.09-.71.63-1.25 1.39-1.62 2.26-.17.41-.55.69-.99.75a9.57 9.57 0 0 0-5.17 2.38 9.725 9.725 0 0 0-3.12 5.87c-.08.59-.58 1.04-1.17 1.07-1.17.06-2.25.5-3.12 1.28a5.082 5.082 0 0 0-1.68 3.59c-.06 1.41.44 2.77 1.39 3.84 1.97 2.19 5.3 2.43 7.42.53l.14-.13c.25-.23.58-.36.91-.36ZM272.24 83.78c-5.73 0-11.18-4.52-12.8-11.04l-.07-.3c-.84-3.69-.39-7.43 1.27-10.55 1.6-3.02 4.15-5.12 7.2-5.97.41-10.19 6.67-18.58 15.51-20.58 6.89-1.57 14.05.93 19.28 6.69 5.79-.89 11.67 2.12 15.13 7.81 1.06 1.74 1.84 3.68 2.31 5.75 1.66 7.31-.97 14.64-6.54 18.23-1.3.84-2.73 1.44-4.25 1.79-1.86.42-3.76.44-5.64.06-2.65 2.97-6.02 4.99-9.79 5.85-1.75.4-3.55.54-5.35.4-2.62-.19-5.26-.96-7.7-2.24-1.63 1.96-3.75 3.27-6.17 3.82-.8.18-1.6.27-2.4.27Zm15.18-46.4c-1.17 0-2.35.13-3.51.4-7.98 1.81-13.56 9.68-13.58 19.15 0 .61-.44 1.12-1.04 1.23-.13.02-.27.05-.41.08-2.54.58-4.69 2.29-6.04 4.82-1.38 2.59-1.75 5.72-1.05 8.8l.06.28c1.52 6.11 7 10.12 12.22 8.93 2.16-.49 4.02-1.78 5.37-3.72.38-.54 1.1-.69 1.66-.36 2.37 1.41 4.99 2.25 7.58 2.44 1.55.12 3.1 0 4.61-.35 3.47-.79 6.56-2.73 8.93-5.6.31-.38.81-.54 1.28-.41 1.74.46 3.5.5 5.22.11 1.23-.28 2.39-.77 3.45-1.45 4.7-3.03 6.89-9.29 5.46-15.58-.41-1.81-1.09-3.49-2.01-5-3.05-5.02-8.23-7.58-13.21-6.53-.45.09-.91-.06-1.21-.41-3.77-4.41-8.74-6.82-13.79-6.82Zm25.44 35.39Z"
      />
      <path
        className="MS_Klimadashboard_Icons_m_bus_abgas_svg__cls-1"
        d="M257.13 101.94c-2.45 0-4.95-.67-7.35-2.5-4.65-3.57-3.94-9.54-.83-13.58 1.12-1.46 3.43-2.48 5.25-2.94-.26-3.21.56-6.21 2.37-8.55.92-1.21 2.09-2.22 3.46-3 .34-.19.75-.22 1.11-.06.36.15.63.47.72.85 1.52 6.11 7 10.12 12.22 8.93 2.16-.49 4.02-1.78 5.37-3.72.38-.54 1.1-.69 1.66-.36 2.37 1.41 4.99 2.25 7.58 2.44.55.04 1.01.44 1.13.98.63 2.87 1.75 10.01-1.65 14.44-3.81 4.97-11.3 6.16-18.37 2.98-.68.35-1.88.92-4.09 1.95-2.55 1.12-5.52 2.16-8.58 2.16Zm2.82-27.51c-.53.43-.99.92-1.4 1.45-1.63 2.11-2.23 4.82-1.74 7.83.05.34-.03.68-.23.95-.21.27-.51.45-.85.49-1.58.19-4.03 1.2-4.8 2.22-1.64 2.13-3.66 6.98.37 10.08 3.44 2.63 7.44 2.65 13.38.05.48-.22 3.9-1.84 4.39-2.1.36-.24.83-.28 1.24-.08 6.16 2.99 12.69 2.17 15.88-1.98 1.8-2.35 2.3-6.61 1.38-11.5-2.3-.29-4.6-1.02-6.75-2.14-1.63 1.96-3.75 3.27-6.17 3.82-6.02 1.37-12.29-2.63-14.68-9.08Zm27.22 19.66Z"
      />
      <g
        data-name="Gruppe 503"
        id="MS_Klimadashboard_Icons_m_bus_abgas_svg__Gruppe_503"
      >
        <g
          data-name="Gruppe 65"
          id="MS_Klimadashboard_Icons_m_bus_abgas_svg__Gruppe_65"
        >
          <path
            className="MS_Klimadashboard_Icons_m_bus_abgas_svg__cls-1"
            d="m141.27 116.17-70.29-.31c-.69 0-1.25-.57-1.24-1.26 0-.69.56-1.24 1.25-1.24l70.29.31c.69 0 1.25.57 1.24 1.26 0 .69-.56 1.24-1.25 1.24ZM130.44 37.13c-.69 0-1.25-.56-1.25-1.25V23.42a1.25 1.25 0 0 1 2.5 0v12.46c0 .69-.56 1.25-1.25 1.25ZM167.94 44.23c-.69 0-1.25-.56-1.25-1.25V23.86a1.25 1.25 0 0 1 2.5 0v19.12c0 .69-.56 1.25-1.25 1.25Z"
          />
          <path
            className="MS_Klimadashboard_Icons_m_bus_abgas_svg__cls-1"
            d="M204.41 54.54h-65.5a1.25 1.25 0 0 1 0-2.5h64.25V24.68h-72.71a1.25 1.25 0 0 1 0-2.5h73.96c.69 0 1.25.56 1.25 1.25v29.86c0 .69-.56 1.25-1.25 1.25Z"
          />
        </g>
      </g>
      <path
        className="MS_Klimadashboard_Icons_m_bus_abgas_svg__cls-1"
        d="M175.76 133.08c-10.21 0-18.51-8.31-18.51-18.51s8.31-18.51 18.51-18.51 18.51 8.31 18.51 18.51-8.31 18.51-18.51 18.51Zm0-34.53c-8.83 0-16.01 7.18-16.01 16.01s7.18 16.01 16.01 16.01 16.01-7.18 16.01-16.01-7.18-16.01-16.01-16.01ZM45.78 133.08c-10.21 0-18.51-8.31-18.51-18.51s8.31-18.51 18.51-18.51 18.51 8.31 18.51 18.51-8.31 18.51-18.51 18.51Zm0-34.53c-8.83 0-16.01 7.18-16.01 16.01s7.18 16.01 16.01 16.01 16.01-7.18 16.01-16.01-7.18-16.01-16.01-16.01ZM65.71 43.59c-.69 0-1.25-.56-1.25-1.25V24.93a1.25 1.25 0 0 1 2.5 0v17.41c0 .69-.56 1.25-1.25 1.25ZM30.49 84.17c-.69 0-1.25-.56-1.25-1.25V24.93a1.25 1.25 0 0 1 2.5 0v57.99c0 .69-.56 1.25-1.25 1.25Z"
      />
      <path
        className="MS_Klimadashboard_Icons_m_bus_abgas_svg__cls-1"
        d="M102.18 54.11H41.4a1.25 1.25 0 0 1 0-2.5h59.53V24.68H2.74a1.25 1.25 0 0 1 0-2.5h99.44c.69 0 1.25.56 1.25 1.25v29.43c0 .69-.56 1.25-1.25 1.25Z"
      />
      <path
        className="MS_Klimadashboard_Icons_m_bus_abgas_svg__cls-1"
        d="M21.11 115.58H8.79c-4.84-.02-8.78-3.96-8.79-8.79v-98C.01 3.96 3.95.01 8.78 0h203.54c4.83.01 8.77 3.96 8.79 8.78v82.19a1.25 1.25 0 0 1-2.5 0V8.79c-.01-3.45-2.83-6.28-6.29-6.29H8.79c-3.45.01-6.28 2.83-6.29 6.29v97.99c.01 3.46 2.83 6.28 6.29 6.29h12.32a1.25 1.25 0 0 1 0 2.5Z"
      />
      <path
        className="MS_Klimadashboard_Icons_m_bus_abgas_svg__cls-1"
        d="M200.81 115.58c-.69 0-1.33-.56-1.33-1.25 0-13.08-10.64-23.72-23.72-23.72s-23.72 10.64-23.72 23.72a1.25 1.25 0 0 1-2.5 0c0-14.46 11.76-26.22 26.22-26.22s25.53 11.09 26.19 24.97h10.38c3.45-.01 6.28-2.83 6.29-6.29v-2.61a1.25 1.25 0 0 1 2.5 0v2.62c-.01 4.83-3.95 8.77-8.78 8.79h-11.53ZM71.04 115.58c-.69 0-1.25-.56-1.25-1.25 0-13.08-10.64-23.72-23.72-23.72s-23.72 10.64-23.72 23.72a1.25 1.25 0 0 1-2.5 0c0-14.46 11.76-26.22 26.22-26.22s26.22 11.76 26.22 26.22c0 .69-.56 1.25-1.25 1.25Z"
      />
      <path
        className="MS_Klimadashboard_Icons_m_bus_abgas_svg__cls-1"
        d="M235.8 105.43h-15.94c-.69 0-1.25-.56-1.25-1.25V90.97c0-.69.56-1.25 1.25-1.25h15.94a6.38 6.38 0 0 1 6.37 6.37v2.98a6.38 6.38 0 0 1-6.37 6.37Zm-14.69-2.5h14.69c2.13 0 3.87-1.73 3.87-3.87v-2.98a3.88 3.88 0 0 0-3.87-3.87h-14.69v10.71Z"
      />
    </svg>
  )
}
export default SvgMsKlimadashboardIconsMBusAbgas
